Page MenuHomePhabricator

Prepare and check storage layer for romdwikimedia
Closed, ResolvedPublic

Description

This is going to be a fishbowl wiki.

Event Timeline

Urbanecm triaged this task as Low priority.Feb 20 2018, 1:01 PM
Urbanecm created this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 20 2018, 1:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui added a subscriber: Marostegui.

Let us know when the wiki is created to filter it on labs and apply (or check if we need to apply): T187089 T185128 T153182

Urbanecm updated the task description. (Show Details)Mar 7 2018, 3:12 PM

Just because I do not know if that change something I'm adding it using comment as well: this is going to be a fishbowl wiki.

Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

I will make sure it is filtered before sending it to cloud-services-team

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-04-20T08:39:48Z] <marostegui> Going to sanitize gorwiki euwikisource romdwikimedia inhwiki on db1095 - T189112 T189466 T187774 T184375

Marostegui removed Marostegui as the assignee of this task.Apr 20 2018, 12:05 PM
Marostegui moved this task from In progress to Done on the DBA board.
Marostegui added a subscriber: bd808.
Urbanecm moved this task from Watching to Created on the User-Urbanecm board.Apr 23 2018, 11:26 AM
Bstorm claimed this task.Apr 23 2018, 6:53 PM

The wiki replica views and DNS are set.

Bstorm closed this task as Resolved.Apr 25 2018, 6:57 PM
Urbanecm reopened this task as Open.Apr 26 2018, 6:50 AM

Something went wrong. DNS {wikicode}.analytics.db.svc.eqiad.wmflabs and {wikicode}.web.db.svc.eqiad.wmflabs are okay but wikis are not accessible. See the following output. Can you look at this?

urbanecm@tools-bastion-02 ~ 
$ mysql -h s3.analytics.db.svc.eqiad.wmflabs
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 22872379
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> use lfnwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'lfnwiki_p'
MariaDB [(none)]> use gorwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'gorwiki_p'
MariaDB [(none)]> use inhwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'inhwiki_p'
MariaDB [(none)]> use romdwikimedia_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'romdwikimedia_p'
MariaDB [(none)]> Bye

Just to make you sure, this isn't working on web replicas as well. See the following output.

urbanecm@tools-bastion-02 ~ 
$ mysql -h s3.web.db.svc.eqiad.wmflabs
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11379982
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> use lfnwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'lfnwiki_p'
MariaDB [(none)]> use gorwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'gorwiki_p'
MariaDB [(none)]> use inhwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'inhwiki_p'
MariaDB [(none)]> use romdwikimedia_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'romdwikimedia_p'
MariaDB [(none)]>
Urbanecm moved this task from Created to Watching on the User-Urbanecm board.Apr 26 2018, 10:08 AM
Marostegui closed this task as Resolved.Apr 26 2018, 12:36 PM

This is fixed:

marostegui@tools-bastion-03:~$ sql --cluster analytics gorwiki_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 23182056
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [gorwiki_p]> use lfnwiki_p; use gorwiki_p; use inhwiki_p; use romdwikimedia_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [romdwikimedia_p]>


MariaDB [romdwikimedia_p]> Ctrl-C -- exit!
Aborted
marostegui@tools-bastion-03:~$ sql --cluster web gorwiki_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11472464
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [gorwiki_p]> use lfnwiki_p; use gorwiki_p; use inhwiki_p; use romdwikimedia_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [romdwikimedia_p]>